RedCrawler API
Users & Profiles V2

Profile by Name V2

Fetch a Reddit user's full public profile. Returns karma, bio, avatar, account type, creation date, verified status, and more. Accepts username, u/username, or

GET /api/v2/profile/q/full

Fetch a Reddit user's full public profile. Returns karma, bio, avatar, account type, creation date, verified status, and more. Accepts username, u/username, or profile URL.

Query parameters

NameTypeRequiredDescription
usernamestringYesUsername, u/username, or profile URL

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/full?username=Motor_Tip8865" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/q/full?username=Motor_Tip8865", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/full?username=Motor_Tip8865"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "user": {
      "id": "t2_exampleu",
      "name": "Motor_Tip8865",
      "prefixedName": "u/Motor_Tip8865",
      "isFriend": false,
      "isEmployee": false,
      "isAcceptingChats": false,
      "isAcceptingFollowers": true,
      "isAcceptingPMs": false,
      "isBlocked": false,
      "accountType": "USER",
      "profile": {
        "createdAt": "2026-03-07T07:27:33.029000+0000",
        "subscribersCount": 0,
        "allowedPostTypes": [],
        "isUserBanned": false,
        "isContributor": false,
        "isDefaultIcon": true,
        "isDefaultBanner": true,
        "path": "/user/Motor_Tip8865/",
        "isNsfw": false,
        "title": "",
        "publicDescriptionText": null,
        "isSubscribed": false,
        "moderatorsInfo": {
          "edges": [
            {
              "node": {
                "id": "t2_exampleu"
              }
            }
          ]
        },
        "description": null,
        "socialLinks": [],
        "styles": {
          "icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
          "legacyPrimaryColor": null,
          "legacyIcon": {
            "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
            "dimensions": {
              "width": 256,
              "height": 256
            }
          },
          "profileBanner": null
        }
      },
      "profileInfo": {},
      "profileExemptedExperiments": [],
      "isProfileContentFiltered": false,
      "karma": {
        "total": 1,
        "fromPosts": 1,
        "fromComments": 0
      },
      "contributionStats": {
        "postCount": 0,
        "commentCount": 0
      },
      "snoovatarIcon": null,
      "trophyCase": {
        "name": "Trophies",
        "totalUnlocked": 5
      },
      "contributorPublicProfile": {
        "tier": "NON_CONTRIBUTOR"
      },
      "isGilded": false,
      "isPremiumAvatarTreatment": false
    }
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:32.970221+00:00"
}

On this page